//  @import com.hedgehoglab.application.model.BaseModel;

function GenericTypesModel(scope){
    BaseModel.call(this,scope);
    var _model=null;
    var _types={};

    //  update model with types
    /*
    {
        "email":[],
        "telephone":[],
        "address":[],
        "website":[],
        "IM":[],
        "tasks":[]
    }
     */

    this.set_email_types=function(types){
        _types.emailTypes=types;
    };

    this.set_telephone_types=function(types){
        _types.telephoneTypes=types;
    };

    this.set_address_types=function(types){
        _types.addressTypes=types;
    };

    this.set_website_types=function(types){
        _types.websiteTypes=types;
    };

    this.set_task_types=function(types){
        _types.taskTypes=types;
    };

    this.set_im_types=function(types){
        _types.imTypes=types;
    };


    this.get_types=function(){
        return _types;
    };
    
}